# -*- coding: utf-8 -*-
# @Author: 获取系统刷新率
# @Date: 2024/10/19
# @Copyright: (c) 2024
import win32api
import win32con
import win32gui


def get_screen_refresh_rate():
    device = win32api.EnumDisplayDevices(None, 0)
    settings = win32api.EnumDisplaySettings(device.DeviceName, win32con.ENUM_CURRENT_SETTINGS)
    return settings.DisplayFrequency


refresh_rate = get_screen_refresh_rate()
print(f"当前 Windows 系统的刷新率为：{refresh_rate}Hz")
